Loading...
Searching...
No Matches
pw_properties Struct Reference
Utilities » Properties

`#include <pipewire/properties.h>`

## Data Fields

struct spa_dict | dict
| dictionary of key/values
uint32_t | flags
| extra flags

## Detailed Description

Examples
  audio-capture.c, audio-src.c, bluez-session.c, export-sink.c, export-source.c, export-spa-device.c, export-spa.c, internal.c, local-v4l2.c, tutorial5.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, and video-play.c.

## Field Documentation

## dict

struct spa_dict pw_properties::dict

dictionary of key/values

Examples
  export-sink.c, export-source.c, export-spa.c, internal.c, and local-v4l2.c.

## flags

uint32_t pw_properties::flags

extra flags

The documentation for this struct was generated from the following file:

- pipewire/properties.h